
QGIS Application - Bug report #15448

Last diagram attribute not shown in "layers panel" layer's legend

2016-08-17 02:12 PM - Franck Magron

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Browser

Affected QGIS version:2.16.1 Regression?: No

Operating System: Windows x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23374

Description

When creating a diagram in QGIS 2.16.1, the last selected attribute is not shown in the layers panel. For example if you select columns

C1, C2 and C3 for the pie chart attributes, C3 will be missing from the layer's legend in layers panel (note that it works normally for the

legend of the print composer)

The bug is not present in 2.16.*, it is still present in 2.17.0 Build 33

Associated revisions

Revision b385ebd9 - 2016-10-20 05:20 PM - Martin Dobias

Fix display of diagram legend entries (fixes #15448)

To make the implementation saner, the legend node that may be embedded within parent

layer node is kept separately from activeNodes.

Revision 6b120a86 - 2016-11-01 04:41 AM - Martin Dobias

Fix display of diagram legend entries (fixes #15448)

To make the implementation saner, the legend node that may be embedded within parent

layer node is kept separately from activeNodes.

(cherry picked from commit b385ebd9ba9272516eed61e5825a603fcee969e9)

History

#1 - 2016-09-06 07:22 PM - Franck Magron

I meant the bug is not present in 2.14.*

The problem appears with 2.16.1 and still present in 2.16.2-2

#2 - 2016-09-06 10:43 PM - Nyall Dawson

- Assignee set to Martin Dobias

Martin - bad news is this seems related to your legend embedded widgets work - specifically 291dbb59a12fd1565c4c0c28d1c57b0cc97217dd
#3 - 2016-10-04 06:04 PM - Nyall Dawson

- Priority changed from Normal to Severe/Regression

#4 - 2016-10-20 08:21 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"b385ebd9ba9272516eed61e5825a603fcee969e9".
